%% Definicin de parmetros
D=0.4;
Ts=1/10e3;
L1=1e-3;
L2=1e-3;
C1=100e-6;
C2=10e-6;
Ro=2;
Vin=20;

%% Modelo de Estados promediado
mAon= [0    0    0       0    
       0    0   1/L2   -1/L2 
       0  -1/C1  0       0
       0   1/C2  0   -1/C2/Ro];
mAoff=[ 0    0   -1/L2    0    
        0    0     0    -1/L2 
       1/C1  0     0      0
        0   1/C2   0   -1/C2/Ro];
mA=D*mAon+(1-D)*mAoff;
mB=[1/L1 
     0  
     0
     0 ];
mC=eye(4);
mD=[0;0;0;0];

 


